published on Thursday, Nov 5, 2026 by ibm-cloud
published on Thursday, Nov 5, 2026 by ibm-cloud
Create, update, and delete backup_recovery_vault_failovers with this resource.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as ibm from "@pulumi/ibm";
const backupRecoveryVaultFailoverInstance = new ibm.BackupRecoveryVaultFailover("backup_recovery_vault_failover_instance", {
cloudType: "ibm",
failoverRequestParams: {
vaultId: 1,
},
xIbmTenantId: "tenantId",
});
import pulumi
import pulumi_ibm as ibm
backup_recovery_vault_failover_instance = ibm.BackupRecoveryVaultFailover("backup_recovery_vault_failover_instance",
cloud_type="ibm",
failover_request_params={
"vault_id": 1,
},
x_ibm_tenant_id="tenantId")
package main
import (
"github.com/pulumi/pulumi-terraform-provider/sdks/go/ibm/v2/ibm"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := ibm.NewBackupRecoveryVaultFailover(ctx, "backup_recovery_vault_failover_instance", &ibm.BackupRecoveryVaultFailoverArgs{
CloudType: pulumi.String("ibm"),
FailoverRequestParams: &ibm.BackupRecoveryVaultFailoverFailoverRequestParamsArgs{
VaultId: pulumi.Float64(1),
},
XIbmTenantId: pulumi.String("tenantId"),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Ibm = Pulumi.Ibm;
return await Deployment.RunAsync(() =>
{
var backupRecoveryVaultFailoverInstance = new Ibm.BackupRecoveryVaultFailover("backup_recovery_vault_failover_instance", new()
{
CloudType = "ibm",
FailoverRequestParams = new Ibm.Inputs.BackupRecoveryVaultFailoverFailoverRequestParamsArgs
{
VaultId = 1,
},
XIbmTenantId = "tenantId",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.ibm.BackupRecoveryVaultFailover;
import com.pulumi.ibm.BackupRecoveryVaultFailoverArgs;
import com.pulumi.ibm.inputs.BackupRecoveryVaultFailoverFailoverRequestParamsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var backupRecoveryVaultFailoverInstance = new BackupRecoveryVaultFailover("backupRecoveryVaultFailoverInstance", BackupRecoveryVaultFailoverArgs.builder()
.cloudType("ibm")
.failoverRequestParams(BackupRecoveryVaultFailoverFailoverRequestParamsArgs.builder()
.vaultId(1.0)
.build())
.xIbmTenantId("tenantId")
.build());
}
}
resources:
backupRecoveryVaultFailoverInstance:
type: ibm:BackupRecoveryVaultFailover
name: backup_recovery_vault_failover_instance
properties:
cloudType: ibm
failoverRequestParams:
vaultId: 1
xIbmTenantId: tenantId
Example coming soon!
Create BackupRecoveryVaultFailover Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new BackupRecoveryVaultFailover(name: string, args: BackupRecoveryVaultFailoverArgs, opts?: CustomResourceOptions);@overload
def BackupRecoveryVaultFailover(resource_name: str,
args: BackupRecoveryVaultFailoverArgs,
opts: Optional[ResourceOptions] = None)
@overload
def BackupRecoveryVaultFailover(resource_name: str,
opts: Optional[ResourceOptions] = None,
cloud_type: Optional[str] = None,
x_ibm_tenant_id: Optional[str] = None,
backup_recovery_vault_failover_id: Optional[str] = None,
endpoint_type: Optional[str] = None,
failover_request_params: Optional[BackupRecoveryVaultFailoverFailoverRequestParamsArgs] = None,
instance_id: Optional[str] = None,
region: Optional[str] = None,
service_name: Optional[str] = None)func NewBackupRecoveryVaultFailover(ctx *Context, name string, args BackupRecoveryVaultFailoverArgs, opts ...ResourceOption) (*BackupRecoveryVaultFailover, error)public BackupRecoveryVaultFailover(string name, BackupRecoveryVaultFailoverArgs args, CustomResourceOptions? opts = null)
public BackupRecoveryVaultFailover(String name, BackupRecoveryVaultFailoverArgs args)
public BackupRecoveryVaultFailover(String name, BackupRecoveryVaultFailoverArgs args, CustomResourceOptions options)
type: ibm:BackupRecoveryVaultFailover
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "ibm_backup_recovery_vault_failover" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args BackupRecoveryVaultFailoverArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args BackupRecoveryVaultFailoverArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args BackupRecoveryVaultFailoverArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args BackupRecoveryVaultFailoverArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args BackupRecoveryVaultFailoverArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var backupRecoveryVaultFailoverResource = new Ibm.BackupRecoveryVaultFailover("backupRecoveryVaultFailoverResource", new()
{
CloudType = "string",
XIbmTenantId = "string",
BackupRecoveryVaultFailoverId = "string",
EndpointType = "string",
FailoverRequestParams = new Ibm.Inputs.BackupRecoveryVaultFailoverFailoverRequestParamsArgs
{
VaultId = 0.0,
},
InstanceId = "string",
Region = "string",
ServiceName = "string",
});
example, err := ibm.NewBackupRecoveryVaultFailover(ctx, "backupRecoveryVaultFailoverResource", &ibm.BackupRecoveryVaultFailoverArgs{
CloudType: pulumi.String("string"),
XIbmTenantId: pulumi.String("string"),
BackupRecoveryVaultFailoverId: pulumi.String("string"),
EndpointType: pulumi.String("string"),
FailoverRequestParams: &ibm.BackupRecoveryVaultFailoverFailoverRequestParamsArgs{
VaultId: pulumi.Float64(0),
},
InstanceId: pulumi.String("string"),
Region: pulumi.String("string"),
ServiceName: pulumi.String("string"),
})
resource "ibm_backup_recovery_vault_failover" "backupRecoveryVaultFailoverResource" {
lifecycle {
create_before_destroy = true
}
cloud_type = "string"
x_ibm_tenant_id = "string"
backup_recovery_vault_failover_id = "string"
endpoint_type = "string"
failover_request_params = {
vault_id = 0
}
instance_id = "string"
region = "string"
service_name = "string"
}
var backupRecoveryVaultFailoverResource = new BackupRecoveryVaultFailover("backupRecoveryVaultFailoverResource", BackupRecoveryVaultFailoverArgs.builder()
.cloudType("string")
.xIbmTenantId("string")
.backupRecoveryVaultFailoverId("string")
.endpointType("string")
.failoverRequestParams(BackupRecoveryVaultFailoverFailoverRequestParamsArgs.builder()
.vaultId(0.0)
.build())
.instanceId("string")
.region("string")
.serviceName("string")
.build());
backup_recovery_vault_failover_resource = ibm.BackupRecoveryVaultFailover("backupRecoveryVaultFailoverResource",
cloud_type="string",
x_ibm_tenant_id="string",
backup_recovery_vault_failover_id="string",
endpoint_type="string",
failover_request_params={
"vault_id": float(0),
},
instance_id="string",
region="string",
service_name="string")
const backupRecoveryVaultFailoverResource = new ibm.BackupRecoveryVaultFailover("backupRecoveryVaultFailoverResource", {
cloudType: "string",
xIbmTenantId: "string",
backupRecoveryVaultFailoverId: "string",
endpointType: "string",
failoverRequestParams: {
vaultId: 0,
},
instanceId: "string",
region: "string",
serviceName: "string",
});
type: ibm:BackupRecoveryVaultFailover
properties:
backupRecoveryVaultFailoverId: string
cloudType: string
endpointType: string
failoverRequestParams:
vaultId: 0
instanceId: string
region: string
serviceName: string
xIbmTenantId: string
BackupRecoveryVaultFailover Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The BackupRecoveryVaultFailover resource accepts the following input properties:
- Cloud
Type string - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- XIbm
Tenant stringId - Specifies the unique id of the tenant.
- Backup
Recovery stringVault Failover Id - Endpoint
Type string - public or private. Defaults to 'public' if not provided.
- Failover
Request BackupParams Recovery Vault Failover Failover Request Params - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- Instance
Id string - The instnace ID of the Backup Recovery instance.
- Region string
- The region of the Backup Recovery instance.
- Service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- Cloud
Type string - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- XIbm
Tenant stringId - Specifies the unique id of the tenant.
- Backup
Recovery stringVault Failover Id - Endpoint
Type string - public or private. Defaults to 'public' if not provided.
- Failover
Request BackupParams Recovery Vault Failover Failover Request Params Args - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- Instance
Id string - The instnace ID of the Backup Recovery instance.
- Region string
- The region of the Backup Recovery instance.
- Service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- cloud_
type string - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- x_
ibm_ stringtenant_ id - Specifies the unique id of the tenant.
- backup_
recovery_ stringvault_ failover_ id - endpoint_
type string - public or private. Defaults to 'public' if not provided.
- failover_
request_ objectparams - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- instance_
id string - The instnace ID of the Backup Recovery instance.
- region string
- The region of the Backup Recovery instance.
- service_
name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- cloud
Type String - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- x
Ibm StringTenant Id - Specifies the unique id of the tenant.
- backup
Recovery StringVault Failover Id - endpoint
Type String - public or private. Defaults to 'public' if not provided.
- failover
Request BackupParams Recovery Vault Failover Failover Request Params - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- instance
Id String - The instnace ID of the Backup Recovery instance.
- region String
- The region of the Backup Recovery instance.
- service
Name String - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- cloud
Type string - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- x
Ibm stringTenant Id - Specifies the unique id of the tenant.
- backup
Recovery stringVault Failover Id - endpoint
Type string - public or private. Defaults to 'public' if not provided.
- failover
Request BackupParams Recovery Vault Failover Failover Request Params - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- instance
Id string - The instnace ID of the Backup Recovery instance.
- region string
- The region of the Backup Recovery instance.
- service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- cloud_
type str - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- x_
ibm_ strtenant_ id - Specifies the unique id of the tenant.
- backup_
recovery_ strvault_ failover_ id - endpoint_
type str - public or private. Defaults to 'public' if not provided.
- failover_
request_ Backupparams Recovery Vault Failover Failover Request Params Args - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- instance_
id str - The instnace ID of the Backup Recovery instance.
- region str
- The region of the Backup Recovery instance.
- service_
name str - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- cloud
Type String - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- x
Ibm StringTenant Id - Specifies the unique id of the tenant.
- backup
Recovery StringVault Failover Id - endpoint
Type String - public or private. Defaults to 'public' if not provided.
- failover
Request Property MapParams - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- instance
Id String - The instnace ID of the Backup Recovery instance.
- region String
- The region of the Backup Recovery instance.
- service
Name String - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
Outputs
All input properties are implicitly available as output properties. Additionally, the BackupRecoveryVaultFailover resource produces the following output properties:
Look up Existing BackupRecoveryVaultFailover Resource
Get an existing BackupRecoveryVaultFailover resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: BackupRecoveryVaultFailoverState, opts?: CustomResourceOptions): BackupRecoveryVaultFailover@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
backup_recovery_vault_failover_id: Optional[str] = None,
cloud_type: Optional[str] = None,
endpoint_type: Optional[str] = None,
failover_request_params: Optional[BackupRecoveryVaultFailoverFailoverRequestParamsArgs] = None,
instance_id: Optional[str] = None,
region: Optional[str] = None,
service_name: Optional[str] = None,
uid: Optional[str] = None,
x_ibm_tenant_id: Optional[str] = None) -> BackupRecoveryVaultFailoverfunc GetBackupRecoveryVaultFailover(ctx *Context, name string, id IDInput, state *BackupRecoveryVaultFailoverState, opts ...ResourceOption) (*BackupRecoveryVaultFailover, error)public static BackupRecoveryVaultFailover Get(string name, Input<string> id, BackupRecoveryVaultFailoverState? state, CustomResourceOptions? opts = null)public static BackupRecoveryVaultFailover get(String name, Output<String> id, BackupRecoveryVaultFailoverState state, CustomResourceOptions options)resources: _: type: ibm:BackupRecoveryVaultFailover get: id: ${id}import {
to = ibm_backup_recovery_vault_failover.example
id = "${id}"
}
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Backup
Recovery stringVault Failover Id - Cloud
Type string - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- Endpoint
Type string - public or private. Defaults to 'public' if not provided.
- Failover
Request BackupParams Recovery Vault Failover Failover Request Params - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- Instance
Id string - The instnace ID of the Backup Recovery instance.
- Region string
- The region of the Backup Recovery instance.
- Service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- Uid string
- (String) Specifies the unique id of the failover.
- XIbm
Tenant stringId - Specifies the unique id of the tenant.
- Backup
Recovery stringVault Failover Id - Cloud
Type string - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- Endpoint
Type string - public or private. Defaults to 'public' if not provided.
- Failover
Request BackupParams Recovery Vault Failover Failover Request Params Args - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- Instance
Id string - The instnace ID of the Backup Recovery instance.
- Region string
- The region of the Backup Recovery instance.
- Service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- Uid string
- (String) Specifies the unique id of the failover.
- XIbm
Tenant stringId - Specifies the unique id of the tenant.
- backup_
recovery_ stringvault_ failover_ id - cloud_
type string - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- endpoint_
type string - public or private. Defaults to 'public' if not provided.
- failover_
request_ objectparams - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- instance_
id string - The instnace ID of the Backup Recovery instance.
- region string
- The region of the Backup Recovery instance.
- service_
name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- uid string
- (String) Specifies the unique id of the failover.
- x_
ibm_ stringtenant_ id - Specifies the unique id of the tenant.
- backup
Recovery StringVault Failover Id - cloud
Type String - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- endpoint
Type String - public or private. Defaults to 'public' if not provided.
- failover
Request BackupParams Recovery Vault Failover Failover Request Params - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- instance
Id String - The instnace ID of the Backup Recovery instance.
- region String
- The region of the Backup Recovery instance.
- service
Name String - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- uid String
- (String) Specifies the unique id of the failover.
- x
Ibm StringTenant Id - Specifies the unique id of the tenant.
- backup
Recovery stringVault Failover Id - cloud
Type string - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- endpoint
Type string - public or private. Defaults to 'public' if not provided.
- failover
Request BackupParams Recovery Vault Failover Failover Request Params - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- instance
Id string - The instnace ID of the Backup Recovery instance.
- region string
- The region of the Backup Recovery instance.
- service
Name string - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- uid string
- (String) Specifies the unique id of the failover.
- x
Ibm stringTenant Id - Specifies the unique id of the tenant.
- backup_
recovery_ strvault_ failover_ id - cloud_
type str - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- endpoint_
type str - public or private. Defaults to 'public' if not provided.
- failover_
request_ Backupparams Recovery Vault Failover Failover Request Params Args - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- instance_
id str - The instnace ID of the Backup Recovery instance.
- region str
- The region of the Backup Recovery instance.
- service_
name str - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- uid str
- (String) Specifies the unique id of the failover.
- x_
ibm_ strtenant_ id - Specifies the unique id of the tenant.
- backup
Recovery StringVault Failover Id - cloud
Type String - Specifies the type of the Backup and Recovery instance. Currently, only 'ibm' is supported.
- Constraints: Allowable values are:
ibm.
- Constraints: Allowable values are:
- endpoint
Type String - public or private. Defaults to 'public' if not provided.
- failover
Request Property MapParams - Specifies the parameters specific to the Backup and Recovery instance. viz the vault. Nested schema for failover_request_params:
- instance
Id String - The instnace ID of the Backup Recovery instance.
- region String
- The region of the Backup Recovery instance.
- service
Name String - The service name for the Backup Recovery instance. Defaults to 'backup-recovery' if not provided.
- uid String
- (String) Specifies the unique id of the failover.
- x
Ibm StringTenant Id - Specifies the unique id of the tenant.
Supporting Types
BackupRecoveryVaultFailoverFailoverRequestParams, BackupRecoveryVaultFailoverFailoverRequestParamsArgs
- Vault
Id double - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the failover is to be initiated.
- Vault
Id float64 - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the failover is to be initiated.
- vault_
id number - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the failover is to be initiated.
- vault
Id Double - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the failover is to be initiated.
- vault
Id number - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the failover is to be initiated.
- vault_
id float - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the failover is to be initiated.
- vault
Id Number - Specifies the unique id of the IBM Cloud Backup and Recovery instance for which the failover is to be initiated.
Import
Not Supported
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- ibm ibm-cloud/terraform-provider-ibm
- License
- Notes
- This Pulumi package is based on the
ibmTerraform Provider.
published on Thursday, Nov 5, 2026 by ibm-cloud